Lucene search

K
suseSuseOPENSUSE-SU-2021:1970-1
HistoryJul 11, 2021 - 12:00 a.m.

Security update for postgresql10 (moderate)

2021-07-1100:00:00
lists.opensuse.org
20

EPSS

0.007

Percentile

80.4%

An update that solves two vulnerabilities and has one
errata is now available.

Description:

This update for postgresql10 fixes the following issues:

  • Upgrade to version 10.17:

  • CVE-2021-32027: Fixed integer overflows in array subscripting
    calculations (bsc#1185924).

  • CVE-2021-32028: Fixed mishandling of junk columns in INSERT … ON
    CONFLICT … UPDATE target lists (bsc#1185925).

  • Don’t use %_stop_on_removal, because it was meant to be private and got
    removed from openSUSE. %_restart_on_update is also private, but still
    supported and needed for now (bsc#1183168).

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

  • openSUSE Leap 15.3:

    zypper in -t patch openSUSE-SLE-15.3-2021-1970=1

OSVersionArchitecturePackageVersionFilename
openSUSE Leap15.3aarch64< - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):.aarch64.rpm
openSUSE Leap15.3ppc64le< - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):.ppc64le.rpm
openSUSE Leap15.3s390x< - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):.s390x.rpm
openSUSE Leap15.3x86_64< - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):.x86_64.rpm
openSUSE Leap15.3noarch< - openSUSE Leap 15.3 (noarch):- openSUSE Leap 15.3 (noarch):.noarch.rpm